## Pleroma -> Ollama Bot Setup

1. Clone project
2. Install npm 22.11.0 if you don't have it already
3. `cd` into the project directory
4. Run `npm install`
5. Run `npx prisma init --datasource-provider sqlite --output ../generated/prisma`
6. Run `npx prisma migrate dev --name init`
7. To run the software on a cronjob, use `npm run once`

### Database Migrations

If you add stuff to the schema, follow the [Prisma development workflow](https://www.prisma.io/docs/orm/prisma-migrate/workflows/development-and-production). This will apply the new schema to the database and generate a new Prisma client with type safety.

Setting as a system service will come at some point, or someone could contribute if they wanted. 